%define		mozver 1.1a
%define         mozilla_plugin_dir /usr/lib/seamonkey-%{mozver}/plugins
%define         mozilla_component_dir /usr/lib/seamonkey-%{mozver}/components
%define 	mozilla_dir /usr/lib/seamonkey-%{mozver}
%define         config_dir /etc
Summary: 	Mime.Types - Audio/Video etc handling.
Name: 		mime.types
Version: 	1.4
Release: 	1
Copyright: 	GPL
Group: 		Multimedia
Source0: 	http://www.ibiblio.org/pub/linux/distributions/peanut/current/pkgs/SRPMS/%{name}-%{version}.tar.bz2
Source1:	http://www.webfreetv.com/linux/wftv.tar.bz2
Source2:	mplayerplug-in-3.15.tar.gz
Source3:	mplayerplug-in.tar.gz
Source4:	plugger-5.0.tar.gz
Source5:	mplayerplug-in.types
Source6:	mplayerplug-in.conf
Patch0: 	plugger.diff
Patch1:         plugin-setup.cpp.diff
Patch2:         plugin-ui.cpp.diff
Patch3:		plugin.cpp.diff
Patch4:		plugin-threads.cpp.diff
URL:		http://alinux.org/
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires: 	PluginSDK >= 3.0b5

%description
cvs -d:pserver:anonymous@cvs.sf.net:/cvsroot/mplayerplug-in co mplayerplug-in

Mailcap / Mime.Types entry for aLinux Professional.
Streaming Multimedia plugin for UNIX Mozilla / Konqueror / Opera, etc ...
Consists of:
/home/defaults.cfg	 (Xitami Web Server Mime)
/root/.mime.types;	 (Admin Root user - editable content)
/etc/skel/.mime.types; 	 (Normal user 	  - editable content)
/etc/pluggerrc-5.0; 	 (Plugger helper  -  editable content)
/etc/mailcap;		 (System wide - cannot go into $HOME/.mailcap)
/etc/mime.types;	 (System wide - unused by browser(s))
/usr/lib/mozilla/plugins/plugger.so (Mozilla, Opera & Konqueror)
/usr/bin/plugger-5.0	 (Used by plugger.so - generates ERROR reports)
/usr/man/man7/plugger.7.gz (Plugger Manual - do a "$man plugger" in xterm)

gdk-pixbuf-csource --raw --name=gtk_logo logo.png >gtk_logo.h

%prep
%setup -q
tar xjpf %{SOURCE1} -C .; tar xzpf %{SOURCE2} -C .; tar xzpf %{SOURCE3} -C .; tar xzpf %{SOURCE4} -C .
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
cd mplayerplug*;
%configure --enable-gtk2; ln -sf /usr/include/mozilla/*.h Source/
make
cd ../plugger*/; make linux;

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home
mkdir -p $RPM_BUILD_ROOT/%{mozilla_plugin_dir}
mkdir -p $RPM_BUILD_ROOT/%{mozilla_component_dir}
mkdir -p $RPM_BUILD_ROOT/root
mkdir -p $RPM_BUILD_ROOT/etc/skel
mkdir -p $RPM_BUILD_ROOT/usr/man/man7
cd plugger*/; make install root=$RPM_BUILD_ROOT
cp plugger.7 $RPM_BUILD_ROOT/usr/man/man7; cd -
#rm $RPM_BUILD_ROOT/etc/pluggerrc*
rm -R $RPM_BUILD_ROOT/usr/lib/mozilla
cp pluggerrc $RPM_BUILD_ROOT/etc/pluggerrc-5.0
cp .mailcap .mime.types $RPM_BUILD_ROOT/etc/skel
cp .mailcap .mime.types $RPM_BUILD_ROOT/root
cp mailcap mime.types $RPM_BUILD_ROOT/etc
cp defaults.cfg $RPM_BUILD_ROOT/home
cd wftv/Unix; make clean; make; cp *.so $RPM_BUILD_ROOT/%{mozilla_plugin_dir}; cd ../../mplayerplug-in
%{__install} -m755 *.so $RPM_BUILD_ROOT/%{mozilla_plugin_dir}
%{__install} -m644 *.xpt $RPM_BUILD_ROOT/%{mozilla_component_dir}
%{__install} -m644 mplayerplug-in.types $RPM_BUILD_ROOT/%{_sysconfdir}
%{__install} -m644 mplayerplug-in.conf $RPM_BUILD_ROOT/%{_sysconfdir}
cp %{SOURCE5} %{SOURCE6} $RPM_BUILD_ROOT/%{_sysconfdir}

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{mozilla_plugin_dir}/mplayer*
%{mozilla_component_dir}
%{_sysconfdir}/skel
%{_sysconfdir}/mailcap
%{_sysconfdir}/mime.types
%{_sysconfdir}/mplayerplug-in.types
%{_sysconfdir}/mplayerplug-in.conf
/home
/root
